{------------------------------------------------------------------------------}
{ TExportX-DB Suite v2.61 (c) 1998-99 Y-Tech Corporation   February 23rd, 1999 }
{------------------------------------------------------------------------------}
{ TExportX-DB components can Print or Export any DBGrid, Table, Query or other }
{ DataSet to 8 Formats (incl. HTML, Microsoft Word & Excel) Exports to Screen  }
{ or File. Can Export if target App not installed. Shows Progress. Very Fast.  }
{ (Source w/Registration)                                                      }
{                                                                              }
{ Please visit our Web Site: http://www.igather.com/components to try out the  }
{ many other freeware & shareware components available there.                  }
{------------------------------------------------------------------------------}

{------------------------------------------------------------------------------}
{ Installation                                                                 }
{------------------------------------------------------------------------------}
{ 1) Please register ExportXDBReg.pas                                          }
{                                                                              }
{ Please ensure you remove the unregistered version before installing the      }
{ registered version.                                                          }
{                                                                              }
{ Important! Since many Y-Tech Components (ie. those made by Y-Tech Corp.)     }
{ share the same units, you must put all code files (.dcu, .pas, .dfm,         }
{ .dcr, etc...) for all Y-Tech Components into the same directory. Otherwise   }
{ Delphi will not compile the library/package properly.                        }
{------------------------------------------------------------------------------}

{------------------------------------------------------------------------------}
{ Questions & Comments                                                         }
{------------------------------------------------------------------------------}
{ All questions and comments should be sent to ycomp@hotpop.com                }
{------------------------------------------------------------------------------}

{------------------------------------------------------------------------------}
{ Usage                                                                        }
{------------------------------------------------------------------------------}
{ - Always read "readme.txt"                                                   }
{ - Please look at "info.htm"                                                  }
{ - Please refer to the help file.                                             }
{------------------------------------------------------------------------------}

{------------------------------------------------------------------------------}
{ License Agreement & Disclaimer                                               }
{------------------------------------------------------------------------------}
{ By use of this component, you have agreed to the following:                  }
{                                                                              }
{ You may not distribute any files for this component except the unregistered  }
{ version's .Zip File. You may definately not distribute the source, it is for }
{ your eyes only. Anyone else wishing to see the source must purchase it at    }
{ http://www.igather.com/components                                            }
{                                                                              }
{ The unregistered version's .Zip file can be included on any kind of media or }
{ distributed through any kind of medium.                                      }
{                                                                              }
{ Although this component has been thoroughly tested and documented, neither   }
{ Y-Tech Corporation nor any of it's employees nor the author will be held     }
{ responsible for any damage arising from it's use or misuse.                  }
{------------------------------------------------------------------------------}

{------------------------------------------------------------------------------}
{ International Language Support                                               }
{------------------------------------------------------------------------------}
{ There are 2 ways of implementing support for your own language:              }
{                                                                              }
{ 1. Get the EC_Strings.pas file for your language and follow the              }
{    installation instructions that come with it. Try downloading it from the  }
{    Y-Tech Components web site (http://www.igather.com/components).           }
{                                                                              }
{ 2. Translate it yourself. (if there is no EC_Strings.pas for your language,  }
{    you must do it this way). It's simple really, just find the               }
{    EC_Strings.pas unit that came with TExportListView and translate the      }
{    strings inside. There's not that many, so it's not a big job. Then        }
{    recompile the package/component library that your component is installed  }
{    in. Finally, if you think you made a half-decent translation, please      }
{    e-mail it to Y-Tech at ycomp@hotpop.com                                   }
{------------------------------------------------------------------------------}

{------------------------------------------------------------------------------}
{ Revision History                                                             }
{------------------------------------------------------------------------------}
{ 2.50: + Initial Release. It's a rather unusual 2.5 instead of 1.00 because   }
{         this is not an entirely brand new component. Most of the code is     }
{         shared with TExportListView v2.50 (and TExportListView has been      }
{         around since v1.00)                                                  }
{                                                                              }
{ 2.60: + Fixed Print Bug. I had simply forgotten the line of code that tells  }
{         the print method how many items to print. This bug in no way affects }
{         the export routines (ie. the Choose and Execute methods). Everything }
{         now appears to be working fine.                                      }
{       + Modified Export App Detection Code to detect corrupt registry keys   }
{         in D2/D3, before it was only done in D4.                             }
{       + Added Icon Display to Choose Dialog. Now when an export type is      }
{         chosen, the assoicated icon is displayed.                            }
{       + Single-Column Exports now look much better for Printing and the      }
{         Text and Clipboard Export Types.                                     }
{                                                                              }
{       + Added Support for Exporting Memo Fields. The next major release will }
{         allow you to put memos on a completely new row (good for those really}
{         big memos, but for now you can still export memo fields reasonably   }
{         well.                                                                }
{       + Added AllowMemos property. You can use this to specify if you want   }
{         to export memo fields. Currently there is no support for formatted   }
{         memos. If you need this let me know, however I doubt that they will  }
{         look good unless you are using unformatted text in a formatted memo. }
{       + Added MemoWidth property so you can adjust the column width of your  }
{         memos in microsoft word & rich text formats.                         }
{                                                                              }
{       + TExportX Components now distributed together as:                     }
{           1) TExportX Suite    - TExportListView, TExportEnhListView,        }
{                                  TExportExtListView, TExportStringGrid.      }
{           2) TExportX-DB Suite - TExportDBGrid, TExportTable                 }
{           3) TExportStrings [Freeware]                                       }
{                                                                              }
{ 2.61: + Fixed 'Strip' bug introduced in v2.60. Exporting a blank field could }
{         cause an exception.                                                  }
{------------------------------------------------------------------------------}
unit ExportXDBReg;

interface

uses EC_DBGrid, EC_Table;

const
  {$I CompConstants.inc} // Component Constants & Conditional Defines

procedure Register;

implementation

uses Classes;

procedure Register;
begin
  RegisterComponents(cExportTab, [TExportDBGrid, TExportTable]);
end;

end.
